﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using QwirkleClassLibrary.Games;
using QwirkleClassLibrary.Players;
using QwirkleClassLibrary.Tiles;

namespace TestBase;

public class TestLeaderboard
{
    [Theory]
    [InlineData(true)]
    public void Test_LeaderboardAdd(bool except)
    {
        var leaderboard = new Leaderboard();
        var game = new Game();

        game.AddPlayerInGame("Test1");
        game.AddPlayerInGame("Test2");

        game.StartGame();
        game.SetFirstPlayer();

        var tile = new Tile(Shape.Club, Color.Blue);
        game.PlaceTile(game.GetPlayingPlayer(), tile, 1, 1);

        leaderboard.AddScoreInLead(game.ScoreBoard);

        Assert.True(except);
    }
}
